import greenfoot.*;

/**
 * The superclass of the 2 sliders: a class with some basic functionality,
 * but it isn't a complete slider itself.
 * 
 * @author Sven van Nigtevecht
 * @version 1.0
 */
public class Slider extends Menu
{
    public static final int MIN_X = -82;   // min and max offset in pixels on the slider image
    public static final int MAX_X = 81;
    public static final double RANGE_X = MAX_X - MIN_X;
    
    public static final int MIN_Y = -82;   // min and max offset in pixels on the slider image
    public static final int MAX_Y = 81;
    public static final double RANGE_Y = MAX_Y - MIN_Y;
    
    private SliderResponder responder;
    
    /**
     * Sets the responder of the slider.
     */
    public void setResponder(SliderResponder responder)
    {
        if (this.responder != responder) {
            this.responder = responder;
        }
    }
    
    /**
     * Returns the responder of the slider.
     */
    public SliderResponder getResponder()
    {
        return this.responder;
    }
    
    /**
     * Get the minimum X offset (in pixels) for the slider hand.
     */
    public int getMinX()
    {
        return getX() + MIN_X;
    }
    
    /**
     * Get the maximum X offset (in pixels) for the slider hand.
     */
    public int getMaxX()
    {
        return getX() + MAX_X;
    }
    
    /**
     * Get the minimum Y offset (in pixels) for the slider hand.
     */
    public int getMinY()
    {
        return getY() + MIN_Y;
    }
    
    /**
     * Get the maximum X offset (in pixels) for the slider hand.
     */
    public int getMaxY()
    {
        return getY() + MAX_Y;
    }
}