/**
 * Implement this interface to be able to look at the changes that
 * sliders make.
 * 
 * @author Sven van Nigtevecht
 * @version 1.0
 */
public interface SliderResponder
{
    /**
     * If you are a responder of a slider, this method will be called on
     * you when the value of a slider changed.
     * @param sender The slider that called this method on you
     * @param newValue The new value of the slider
     */
    public void valueChanged(Slider sender, int newValue);
}